---
title: PaymentResponse.methodName
slug: Web/API/PaymentResponse/methodName
tags:
  - API
  - Commerce
  - Experimental
  - Payment Request
  - Payment Request API
  - PaymentResponse
  - Property
  - Reference
  - Secure context
  - methodName
---
<p>{{securecontext_header}}{{APIRef("Payment Request API")}}</p>

<p><span class="seoSummary">The <strong><code>methodName</code></strong> read-only property of the {{domxref("PaymentResponse")}} interface returns a string uniquely identifying the payment handler selected by the user.</span> This string may be either one of the standardized payment method identifiers or a URL used by the payment handler to process payments.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>methodName</em> = <em>PaymentResponse</em>.methodName;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} uniquely identifying the payment handler being used to process the payment. This may be either a standardized identifier, or a URL used by the payment processor to handle payments. See {{SectionOnPage("/en-US/docs/Web/API/Payment_Request_API/Concepts", "Merchant validation")}} for more information.</p>

<h2 id="Example">Example</h2>

<p>The following example extracts the method name from the {{domxref('PaymentResponse')}} object to the promise returned from {{domxref('PaymentRequest.show()')}}. In a real-world implementation this data would then be sent to a payment server.</p>

<pre class="brush: js">payment.show().then(paymentResponse =&gt; {
  var paymentData = {
    // payment method string
    method: paymentResponse.methodName,
    // payment details as you requested
    details: paymentResponse.details,
    // shipping address information
    address: toDict(paymentResponse.shippingAddress)
  };
  // Send information to the server
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentResponse.methodName")}}</p>
</div>
